> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Leave Type

> Deletes a custom leave type. Only custom leave types (with a company_id) can be deleted.



## OpenAPI

````yaml /api-reference/openapi.json delete /company/leaves-types
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /company/leaves-types:
    delete:
      tags:
        - User Leaves
      summary: Delete Leave Type
      description: >-
        Deletes a custom leave type. Only custom leave types (with a company_id)
        can be deleted.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LeaveTypeDeleteInput'
            example:
              id: 111
      responses:
        '200':
          description: Leave type deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
              example:
                id: 111
components:
  schemas:
    LeaveTypeDeleteInput:
      type: object
      required:
        - id
      properties:
        id:
          type: integer
          description: Leave type ID to delete
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````